package com.ruoyi.ems.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 手动抄记录对象 adm_meter_reading_manual
 * 
 * @author ruoyi
 * @date 2024-08-28
 */
public class MeterReading extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 计量设备code */
    private String deviceCode;

    /** 计量设备名称 */
    private String deviceName;

    /** 服务区代码 */
    private String areaCode;

    /** 年份yyyy */
    @Excel(name = "年份yyyy")
    private String year;

    /** 计量月yyyyMM */
    @Excel(name = "计量月")
    private String meterMonth;

    /** 上次示数 */
    @Excel(name = "上次示数")
    private Long lastReading;

    /** 上次抄表日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上次抄表日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastTime;

    /** 抄表值 */
    @Excel(name = "抄表值")
    private Long meterReading;

    /** 本次抄表日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "本次抄表日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date meterTime;

    /** 增量 */
    @Excel(name = "增量")
    private Long increase;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMeterMonth() {
        return meterMonth;
    }

    public void setMeterMonth(String meterMonth) {
        this.meterMonth = meterMonth;
    }

    public Long getLastReading() {
        return lastReading;
    }

    public void setLastReading(Long lastReading) {
        this.lastReading = lastReading;
    }

    public Date getLastTime() {
        return lastTime;
    }

    public void setLastTime(Date lastTime) {
        this.lastTime = lastTime;
    }

    public Long getMeterReading() {
        return meterReading;
    }

    public void setMeterReading(Long meterReading) {
        this.meterReading = meterReading;
    }

    public Date getMeterTime() {
        return meterTime;
    }

    public void setMeterTime(Date meterTime) {
        this.meterTime = meterTime;
    }

    public Long getIncrease() {
        return increase;
    }

    public void setIncrease(Long increase) {
        this.increase = increase;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deviceCode", getDeviceCode())
            .append("areaCode", getAreaCode())
            .append("year", getYear())
            .append("meterMonth", getMeterMonth())
            .append("lastReading", getLastReading())
            .append("lastTime", getLastTime())
            .append("meterReading", getMeterReading())
            .append("meterTime", getMeterTime())
            .append("increase", getIncrease())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
